{
  pkgs ? import <nixpkgs> { },
}:

pkgs.mkShell {
  buildInputs = with pkgs; [
    rustup
  ];

  shellHook = ''
    rustup default stable
    rustup component add rustfmt
    rustup component add clippy
    rustup component add rust-analyzer
  '';
}
